#
# Conditional build:
%bcond_without	kernelsrc	# probes which require full kernel source (kvm, btrfs, ext4, regmap)
%bcond_without	ftrace		# dynamic ftrace module
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		pname	lttng-modules
Summary:	LTTng 2.x kernel modules
Summary(pl.UTF-8):	Moduły jądra LTTng 2.x
Name:		%{pname}%{_alt_kernel}
Version:	2.9.0
Release:	%{rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://lttng.org/files/lttng-modules/%{pname}-%{version}.tar.bz2
# Source0-md5:	717df375ccb6f32bb297cc2f2e692bbf
Patch0:		build.patch
URL:		http://lttng.org/
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.38}
%{?with_kernelsrc:%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-source >= 3:2.6.38}}
BuildRequires:	rpmbuild(macros) >= 1.701
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LTTng 2.x kernel modules.

%description -l pl.UTF-8
Moduły jądra LTTng 2.x.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-lttng\
Summary:	LTTng 2.x modules for Linux kernel\
Summary(pl.UTF-8):	Moduły LTTng 2.x dla jądra Linuksa\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-lttng\
LTTng 2.x modules for Linux kernel.\
\
%description -n kernel%{_alt_kernel}-lttng -l pl.UTF-8\
Moduły LTTng 2.x dla jądra Linuksa.\
\
%files -n kernel%{_alt_kernel}-lttng\
%defattr(644,root,root,755)\
%doc ChangeLog LICENSE README.md TODO\
%dir /lib/modules/%{_kernel_ver}/kernel/lttng\
/lib/modules/%{_kernel_ver}/kernel/lttng/lttng-clock.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/lttng-ring-buffer-*.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/lttng-statedump.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/lttng-tracer.ko*\
%dir /lib/modules/%{_kernel_ver}/kernel/lttng/lib\
/lib/modules/%{_kernel_ver}/kernel/lttng/lib/lttng-lib-ring-buffer.ko*\
%dir /lib/modules/%{_kernel_ver}/kernel/lttng/probes\
%{?with_ftrace:/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-ftrace.ko*}\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-kprobes.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-kretprobes.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/probes/lttng-probe-*.ko*\
%dir /lib/modules/%{_kernel_ver}/kernel/lttng/tests\
/lib/modules/%{_kernel_ver}/kernel/lttng/tests/lttng-clock-plugin-test.ko*\
/lib/modules/%{_kernel_ver}/kernel/lttng/tests/lttng-test.ko*\
\
%post	-n kernel%{_alt_kernel}-lttng\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-lttng\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} \\\
	KERNELDIR=%{_kernelsrcdir}\
p=`pwd`\
%{__make} modules_install \\\
	INSTALL_MOD_PATH=$p/installed \\\
	INSTALL_MOD_DIR=kernel/lttng \\\
	KERNELDIR=%{_kernelsrcdir}\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Fri Jan 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lttng-modules.git;a=log;h=auto/th/lttng-modules-2.9.0-1

* Sun Dec 25 2016 Jakub Bogusz <qboosh@pld-linux.org> a48baa1
- updated to 2.9.0

* Mon Oct 10 2016 Jan Rękorajski <baggins@pld-linux.org> 72bf0b9
- added missing modules

* Mon Oct 10 2016 Jan Rękorajski <baggins@pld-linux.org> ee2a962
- more files updates

* Mon Oct 10 2016 Jan Rękorajski <baggins@pld-linux.org> de7ed10
- updated files

* Mon Oct 10 2016 Jan Rękorajski <baggins@pld-linux.org> 8efb93e
- up to 2.8.2

* Mon Jun 06 2016 Jan Rękorajski <baggins@pld-linux.org> 11a6b97
- up to 2.8.0

* Fri Apr 08 2016 Jakub Bogusz <qboosh@pld-linux.org> e7a631b
- updated to 2.7.2

* Sun Jan 24 2016 Jan Rękorajski <baggins@pld-linux.org> 92b5818
- up to 2.7.1

* Sun Oct 04 2015 Jan Rękorajski <baggins@pld-linux.org> 1fd1315
- package test module

* Sun Oct 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 83cefbc
- updated to 2.7.0

* Mon Sep 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b5a5bc4
- up to 2.6.3

* Tue Jun 30 2015 Jakub Bogusz <qboosh@pld-linux.org> a453dde
- updated to 2.6.2

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 4e2f2c4
- updated to 2.6.1
- removed obsolete kernel-updates patch

* Sun Apr 19 2015 Jan Rękorajski <baggins@pld-linux.org> 0c40909
- updated upstream branch
- rel 5

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> d95490e
- rel 4

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> 7b1cb81
- fix syntax

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> 9bc3c56
- fix building on 3.18.10

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> bdee728
- fix kernel patch for 3.19
- rel 3

* Sun Mar 22 2015 Jan Rękorajski <baggins@pld-linux.org> 802e7a4
- build and run-time fixes for current kernels
- rel 2

* Wed Jan 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 185a1fe
- updated docs

